<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];
$success = false;

$file = "order.php";

$expense = $_POST["expense"];
$vendor  = $_POST["vendor"];
$payee   = $_POST["payee"];

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`orderby` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`orderby` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `drawbank`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `examname`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(a. vouchdt, '%d-%m-%Y') AS mydt FROM `order` a
          LEFT JOIN accmast b ON a.expense = b.accode
          LEFT JOIN accmast c ON a.vendor = c.accode
          WHERE a.`vouchno` != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $getexp = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$r[expense]'");
    $fetexp = mysqli_fetch_array($getexp);

    $getven = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`= '$r[vendor]'");
    $fetven = mysqli_fetch_array($getven);

    $rows[] = [
        'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['mydt'],
        'item'    => $fetexp['name'],
        'vendor'  => $fetven['name'],
        'unit'    => $r['unit'],
        'orderby' => $r['orderby'],
        'narr1'   => $r['narr1'],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
